# line 1
#################################
#
#  MY Additional Environment
#

# Set up the LS_COLORS environment:
if [ -f $HOME/.dir_colors ]; then
  eval `dircolors -b $HOME/.dir_colors`
elif [ -f /etc/DIR_COLORS ]; then
  eval `dircolors  /etc/DIR_COLORS`
else
  eval `dircolors -b`
fi

export PATH=$PATH:/usr/local/pgsql/bin:$HOME/bin

#  LS aliases
alias ls='ls -F --color=auto' # uncomment for LINUX
# alias ls='ls -FGBW' # uncomment for BSD

alias l='ls'
alias la='ls -a'
alias ll='ls -l'
alias lla='ls -al'
alias lr='ls -R'
#  EXIT alias
alias exit='clear;exit '

# set dynamic titles for terminals
Cd() {
  cd $@
  setitle 
}
# only for xterminals
[[ ${TERM} =~ "xterm" ]] && {
  eval $(ps -aux | awk '/xauth.sh/&&/'"$USER"'/&&!/awk/{print "suser="$1,"suid="$2}')
  
  [[ ! ${suid}  || ${suser} == ${USER} || $UID == 0 ]] && {
    alias cd='Cd'
  }
  # set when on inititiating 
  setitle
}

# added for pulseaudio support with su logins from X session
configdir="$HOME/.pulse"
[[ ! -d $configdir ]] &&  mkdirp $configdir
[[ $XAUTHORITY && $DISPLAY ]] && {
  case $XAUTHORITY in
    "$HOME/.Xauthority")
      [[ $configdir/client.conf ]] && rm $configdir/client.conf 2> /dev/null;
    ;;
    *)
      mkdirp $configdir;
      echo "default-server = 127.0.0.1" > $configdir/client.conf;
    ;;
  esac
}

##################################
# line 55
