


# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
  case "$( uname -m )" in
    #i?86) export ARCH=i486 ;;
    armv7hl) export ARCH=$MARCH ;;
    arm*) export ARCH=arm ;;
    # Unless $ARCH is already set, use uname -m for all other archs:
       *) export ARCH=$( uname -m ) ;;
  esac
fi

case "$ARCH" in
i486)
  SLKCFLAGS="-O2 -march=i486 -mtune=i686"
  SLKLDFLAGS=""; LIBDIRSUFFIX=""
;;
x86_64)
  SLKCFLAGS="-O2 -fPIC"
  SLKLDFLAGS="-L/usr/lib${SUFFIX}"; LIBDIRSUFFIX="${SUFFIX}"
;;
armv7hl)
  SLKCFLAGS="-O2 -fPIC -march=armv7-a -mfpu=vfpv3-d16"
  SLKLDFLAGS=""; LIBDIRSUFFIX=""
;;
armv6hl)
  SLKCFLAGS="-O2 -march=armv6 -mfpu=vfp -mfloat-abi=hard"
  SLKLDFLAGS=""; LIBDIRSUFFIX=""
;;
armv5hl)
  SLKCFLAGS="-O2 -mthumb -march=armv5te -mtune=arm1176jzf-s -mfpu=vfp -mfloat-abi=softfp"
  SLKLDFLAGS=""; LIBDIRSUFFIX=""
;;
*)
  SLKCFLAGS="-O2"
  SLKLDFLAGS=""; LIBDIRSUFFIX=""
;;
esac

case "$ARCH" in
  arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
  *)    TARGET=$ARCH-slackware-linux ;;
esac

set -e
