

# comment out exit or remove it when ready to move on
exit

mkit() {
  # upack the src
  rm -rf $PKG
  mkdir -p $TMP $PKG $OUTPUT
  cd $TMP
  rm -rf $PRGNAM-$VERSION
  tar xvf $CWD/$PRGNAM-$VERSION.tar.?z* || exit 1
  cd $PRGNAM-$VERSION || exit 1


  # do the perms
  chown -R root:root .
  find -L . \
   \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
    -o -perm 511 \) -exec chmod 755 {} \; -o \
   \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
   -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;


  # do patching if needed

  # set up some config vars

  # configure the src

  # make the src
  cp -a * ${PKG}; # default for most slackerson pkgs

  # Don't ship .la files:
  #find ${PKG}${PREFIX}/lib -name "*.la" -exec rm {} \; 2> /dev/null
  #find ${PKG}${PREFIX}/lib${LIBDIRSUFFIX} -name "*.la" -exec rm {} \; 2> /dev/null
  # its not a good idea to remove all .la files...some are used by the
  # program internally.
  rm -f ${PKG}${PREFIX}/lib/*.la
  rm -f ${PKG}${PREFIX}/lib${LIBDIRSUFFIX}/*.la

  # strip
  find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
    | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true

} # end of mkit

mkit

# Make dev, doc and nls pkgs as needed...
# These functions are in /etc/slackpacks.d/functions and are included
# in the SPACKS_CONF file

# NOTE: any additions to either subpkg should be done before the call
# to the relevant pkg. so if you need to add somthing to the doc pkg
# for example do it before the call to Doc.
# if you don't want sub pkgs then just comment the function calls out
# and you'll get a typical Slackware all inclusive single pkg
# If there are no doc or dev files present in the main pkg then the
# sub pkgs  won't be made.

# be aware we are dropped back to the PKG dir after each fuction call...
# typically $CWD/build/package-$PRGNAM

# ----------------------------------------------- extra stuff for dev

# -----------------------------------------------
Dev
# ------------------------------------------------ extra stuff for doc

# -----------------------------------------------
Doc

# build native language support package
Nls

# NEW: there is now support for opkg (Open Package Manager) pkgs...
# If the OPKGS directive is set in the $SPACKS_CONF then ipk packages will be
# made for all the subpkgs as well as the main runtime pkg.
# they will be put in the location defined...
# normally in the subdir $OPKGS of your $REPO.
# ie: /slackpacks/YourDistroName-ARCH-DV/opkgs

# make the runtime ipk...must be done before the Main PKG section...
# we don't want all the slackware install stuff or the symlinks removed
#
# if we have any opkg related scripts to be added then do it here..
# there are 4 that will be honored. they must be executable to run.
# ----------------------------------------------------------------------
# 1 preinst -- runs before install...do some backup actions, pre work etc...
# 2 postinst -- this is equivelent to slack's doinst.sh
# 3 prerem -- to be run before removal...turn off a service or save backups etc...
# 4 postrem -- after removal...cleanup, leaving a log etc...
# ----------------------------------------------------------------------
# ie:
#   mkdirp ${PKG}/control
#   cp postinst ${PKG}/control
#   etc....
#
# or: this is probably never needed here but...
#
#   mkdirp ${PKG}/data/bin ...
#   cp $CWD/someExecuable ${PKG}/data/bin
#
#   remember the data dir is empty at this point...
#   we need to create any dirs required.
# ---------------------------------------------------------------------


[[ ${OPKGS} ]] && {
  # if control/ exists we're gonna assume there is stuff in it
  [[ -d ${CWD}/control ]] &&  {
    ctrl=${TMP}/opkg-${PRGNAM}/control
    mkdirp ${ctrl}
    cp ${CWD}/control/* ${ctrl}/
  }

  cd ${PKG} # afer splitter we should already be here...but just in case
  Mkopkg
}
# Main PKG -------------------------------------------------------------

mkdir -p ${PKG}/install
[ -f $CWD/doinst.sh ] && cat $CWD/doinst.sh > $PKG/install/doinst.sh
[ -f $CWD/slack-desc ] &&  cat $CWD/slack-desc > $PKG/install/slack-desc
# files used by slapt-get
[ -f $CWD/slack-required ] &&  cp $CWD/slack-required $PKG/install
[ -f $CWD/slack-suggests ] &&  cp $CWD/slack-suggests $PKG/install
[ -f $CWD/slack-conflicts ] &&  cp $CWD/slack-conflicts $PKG/install

# files used by slackbuilder's rm-pkg script
uninst="slack-uninst"; # anything named 'slack'-whatever and the doinst.sh
# will be removed after installation.... but douninst.sh or anything else won't.
# see line 540 of slackware's installpkg
[ -f $CWD/${uninst} ] && {
  echo "PRGNAM=\"${PRGNAM}\"" > ${PKG}/install/${uninst};
  cat $CWD/${uninst} >> $PKG/install/${uninst};
}

Big_Pkg=${OUTPUT}/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-txz}
cd ${PKG}
# Mkpkg is int the same file as Dev, Doc & Nls
Mkpkg ${Big_Pkg}

