#!/bin/bash
#
# setup root and X11 access
# ----------------------------------------------------------------------
dir=${dir:-"/etc/ssh"}
files=("ssh_config" "sshd_config")
# ----------------------------------------------------------------------
[[ ! -z ${mntpt} ]] && {
  YES=("ForwardX11" "PermitRootLogin" "X11Forwarding" "X11UseLocalhost") 
  OFF=("AllowTcpForwarding" "GatewayPorts" "UsePrivilegeSeparation")

  # ssh_config...everything is commented out by default with a tab or
  # two between the #    and directive....so i'll just append to the end.
  #
  # lets use this as the control mechanism...if ssh_config is already
  # done take the leap of faith that the sshd_config is too...only
  # works if it is not set by default in the src pkg...it's just too
  # much trouble to test for every directive in the sshd_config.
  isdone=$(awk "/${YES[0]}/ && !/#/" ${mntpt}${dir}/${files[0]})
  [[ ! ${isdone} ]] && {
    echo "${YES[0]} yes"
    echo "${YES[0]} yes" >> ${mntpt}${dir}/${files[0]}
    # slackware has only UsePam enabled all others are commented out...
    # alpine has some settings enabled and/or set to no...so need to
    # edit in place...if this list grows over time consider building
    # edit command with a loop.
  
    sed \
    -e "s/${YES[1]}.*.$/${YES[1]} yes/;s/^#${YES[1]}/${YES[1]}/" \
    -e "s/${YES[2]}.*.$/${YES[2]} yes/;s/^#${YES[2]}/${YES[2]}/" \
    -e "s/${YES[3]}.*.$/${YES[3]} yes/;s/^#${YES[3]}/${YES[3]}/" \
  \
    -e "s/${OFF[0]}/#${OFF[0]}/" \
    -e "s/${OFF[1]}/#${OFF[1]}/" \
    -e "s/${OFF[2]}/#${OFF[2]}/" \
    -i ${mntpt}${dir}/${files[1]}
    
  } || {
    echo "Already done"

  }

} || {
  echo "Need a mntpt environment variable"
}
