#!/bin/bash
#
# Program: 'migrate_users.sh' was generated by bashtpl
# on Fri Jan 20 08:47:00 UTC 2017
#
##############################################################################
#   Permission to use, copy, modify, and distribute this software for
#   any purpose with or without fee is hereby granted, provided that
#   the above copyright notice and this permission notice appear in all
#   copies.
#
#   THIS SOFTWARE IS PROVIDED AS IS AND ANY EXPRESSED OR IMPLIED
#   WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
#   MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
#   IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
#   CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
#   SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
#   LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
#   USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
#   ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#   OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
#   OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
#   SUCH DAMAGE.
# ----------------------------------------------------------------------------

ulistfile="${LOCAL}/users.lst"
[[ -s $ulistfile ]] && {
  # define which useres are to be migrated
  userlist=$(cat $ulistfile)
} || {
  echo "$ulistfile is empty"
  exit
}
[[ ! ${mntpt} ]] && {
  echo "The 'mntpt' environment variable must be defined";
  exit
}

echo "migrating local users to ${mntpt}";

for user in ${userlist}; do
  #statements
  # does user have an acount on host
  newaccount=$(grep -w "^$user" ${mntpt}/etc/passwd);
  [[ ! $newaccount ]] && {
    account=$(grep -w "^$user" /etc/passwd);
    [[ $account ]] && {
      echo $user;
      ACC=$(echo $account | awk -F: '{print "uid="$3, "gid="$4, "home="$6, "shell="$7}');
      eval $ACC;
      grps=$(echo $(grep -w "$user" /etc/group | awk -F: '{print $1}') | sed -e 's/ /,/g');
      shadow=$(grep -w "^$user" /etc/shadow |awk -F: '{print $2}');
      shadow=${shadow//\//\\\/};
      # -m is to create a home dir
      echo "groupadd -g $gid $user" > ${mntpt}/root/bin/localusers
      echo "useradd -m $user -u $uid -g $gid -d $home -s $shell -G $grps" >> ${mntpt}/root/bin/localusers
      chmod 755 ${mntpt}/root/bin/localusers;
      chroot ${mntpt} localusers;
      rm ${mntpt}/root/bin/localusers;
      sed -i 's/^'"$user"':!/'"$user:$shadow"'/' ${mntpt}/etc/shadow;
      [[ -f $home/${user}-local.txz ]] && {
        [[ ! -f ${mntpt}${home}/${user}-local.txz ]] && {
          echo "packup exists...will copy to new system"
          cp -p $home/${user}-local.txz ${mntpt}${home}
        }
      }
    }
  }
done
