#!/bin/bash
#
[[ ! -z ${mntpt} ]] && {
  settings_dir=$configs/$config
  tools=$settings_dir/tools
  sed -e 's/SVRSN/'"${SVRSN}"'/' ${tools}/slackware-version.tpl > ${tools}/slackware-version
  # MSVRSN is defined in $config/CONF
  cfiles="slackware-verson motd issue asound.conf MVRSN"
  for cf in ${cfiles}; do
    find ${tools}/ -name "${cf}" -type f -exec cp {} ${mntpt}/etc \;
  done
  find ${tools}/ -name "runlevels.txz" -exec tar xvf {} -C ${mntpt}/etc \;
  find ${tools}/ -name "local.d" -type d -exec cp -a {} ${mntpt}/etc \;
  #find ${tools}/ -name  "repositories" -type f -exec cp {} ${mntpt}/etc/apk \;

  # make initramfs and symlink
  ##### USING LTS KERNEL #### -----------------------------------------
  # update alpine 3.12.0 don't use vanilla kernel's so using the lts
  #kv=$(ipkginfo -v kernel-modules)
  kvr="$(ipkginfo -v linux-lts)" # have to manually ad the lts?
  # the version does not match the modules/version.revision-lts naming ??
  kv=$(basename $(find ${mntpt}/lib/modules -name "*${kvr}*"))

  chroot ${mntpt} depmod ${kv}
  #chroot ${mntpt} mkinitfs -o /boot/initramfs-${kv} ${kv}
  chroot ${mntpt} mkinitfs ${kv} # output defaults to initramfs-lts
  # so any new kernel updates just replace existing files and i don't have
  # to edit grub.cfg
  cd ${mntpt}/boot
  ln -s vmlinuz-lts vmlinuz 2> /dev/null
  #ln -s initramfs-${kv} initramfs 2> /dev/null
  ln -s initramfs-lts initramfs 2> /dev/null
  ln -s System.map-lts System.map 2> /dev/null
  ln -s config-lts config 2> /dev/null

  cd ${CWD}
  # install firstlogin
  mkdirp ${mntpt}/var/local
  find ${tools}/ -name  "firstlogin.sh" -type f -exec cp -a {} ${mntpt}/var/local \;
  cat ${tools}/pulse.passwd >> ${mntpt}/etc/passwd
  cat ${tools}/pulse.grp >> ${mntpt}/etc/group
  cp ${tools}/zzz-firstlogin.sh ${mntpt}/etc/profile.d
  #
  chroot ${mntpt} gpasswd -a pulse audio

  # the clear command is wierding out...so use busybox version
  [[ -f ${mntpt}/usr/bin/clear ]] && {
    islink=$(readlink ${mntpt}/usr/bin/clear)
    [[ ! ${islink} ]] && {
      cd ${mntpt}/usr/bin
      mv clear clear.bk
      ln -s ../../bin/busybox clear
    } # end of is link
  } # end of if clear
} # THE END
