#!/bin/bash
#
[[ ! -z ${mntpt} ]] && {
  settings_dir=$configs/$config
  tools=$settings_dir/tools
  sed -e 's/SVRSN/'"${SVRSN}"'/' ${tools}/slackware-version.tpl > ${tools}/slackware-version
  cfiles="slackware-verson motd issue asound.conf"
  for cf in ${cfiles}; do
    find ${tools}/ -name "${cf}" -type f -exec cp {} ${mntpt}/etc \;
  done
  find ${tools}/ -name "runlevels.txz" -exec tar xvf {} -C ${mntpt}/etc \;
  find ${tools}/ -name "local.d" -type d -exec cp -a {} ${mntpt}/etc \;
  find ${tools}/ -name  "repositories" -type f -exec cp {} ${mntpt}/etc/apk \;
  
  # make initramfs and symlink
  kv=$(ipkginfo -v kernel-modules)
  chroot ${mntpt} depmod ${kv}
  chroot ${mntpt} mkinitfs -o /boot/initramfs-${kv} ${kv}
  cd ${mntpt}/boot
  ln -s initramfs-${kv} initramfs 2> /dev/null
  cd ${CWD}
  # install firstlogin
  mkdirp ${mntpt}/var/local
  find ${tools}/ -name  "firstlogin.sh" -type f -exec cp -a {} ${mntpt}/var/local \;
  cat ${tools}/pulse.passwd >> ${mntpt}/etc/passwd
  cat ${tools}/pulse.grp >> ${mntpt}/etc/group
  cp ${tools}/zzz-firstlogin.sh ${mntpt}/etc/profile.d
  #
  chroot ${mntpt} gpasswd -a pulse audio
  
  # the clear command is wierding out...so use busybox version 
  [[ -f ${mntpt}/usr/bin/clear ]] && {
    islink=$(readlink ${mntpt}/usr/bin/clear)
    [[ ! ${islink} ]] && {
      cd ${mntpt}/usr/bin
      mv clear clear.bk
      ln -s ../../bin/busybox clear
    } # end of is link
  } # end of if clear
} # THE END
