
argv="${BASH_ARGV[@]}"
argc="$BASH_ARGC"
#echo "opt: $OPTIND argv: $argv argc: $argc"
[[ $argc ]] || {
  $0 -h # if called with no args show usage
  exit 1
}

USAGE="
  `basename $0` -[o|h] [arg/args....and so on ] 
  Requires at least one switch and a pkg or a list of pkgs as an argument/s
  
  -o (just an option),
  -h (show this help message) 
  
  $br
  options can be grouped ie..-oh bla bla...
";
set -o errexit -o noclobber -o nounset -o pipefail
params="$(getopt -o :oh --name "$0" -- "$@")"
eval set -- "$params"

while true
do
  case $1 in
    -o) # look up reverse deps...pkgs that dep on a pkg to be removed
      
      function R(){
        echo "this is option 'o' $1"
      }
      cmd+="R "
      shift
    ;;
    -h)
      echo "$USAGE"
      exit 1
    ;;
    --)
      shift
      break
      ;;
    *) # this is never being called?
      echo "$USAGE"
      exit 1
    ;;
  esac
done

# main didee
for pname do
  for c in ${cmd}
  do
    $c $pname 2> /dev/null
  done
done
